curl https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "te-uuid-...",
"hours": 3,
"hourly_rate": 120,
"date": "2025-03-20",
"description": "Wireframing",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"task": { "id": "task-uuid-...", "name": "Design homepage mockup" },
"created_at": "2025-03-20T18:00:00.000Z"
}
}
{ "error": "Time entry not found or access denied" }
Time Entries
Get Time Entry
Retrieves a single time entry by ID.
GET
/
api
/
v1
/
time-entries
/
{id}
curl https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "te-uuid-...",
"hours": 3,
"hourly_rate": 120,
"date": "2025-03-20",
"description": "Wireframing",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"task": { "id": "task-uuid-...", "name": "Design homepage mockup" },
"created_at": "2025-03-20T18:00:00.000Z"
}
}
{ "error": "Time entry not found or access denied" }
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
UUID of the time entry to retrieve.
Response
object
The time entry object, including embedded
project and task.curl https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "te-uuid-...",
"hours": 3,
"hourly_rate": 120,
"date": "2025-03-20",
"description": "Wireframing",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"task": { "id": "task-uuid-...", "name": "Design homepage mockup" },
"created_at": "2025-03-20T18:00:00.000Z"
}
}
{ "error": "Time entry not found or access denied" }

